include ( ../../../../buildcfg.pro )

TEMPLATE	= lib

CONFIG		= qt thread plugin $${BUILDTYPE}

QMAKE_CXXFLAGS_RELEASE += -fno-operator-names -fno-for-scope -fms-extensions
QMAKE_CXXFLAGS_DEBUG   += -fno-operator-names -fno-for-scope -fms-extensions

HEADERS = \
        src/AffineRegistration.h \
        src/AffineRegistrationDialogImpl.h \
        src/AffineRegistrationTool.h \

SOURCES = \
        src/AffineRegistration.cpp \
        src/AffineRegistrationDialogImpl.cpp \
        src/AffineRegistrationTool.cpp \

INTERFACES = \
        UI/AffineRegistrationConfigurationWidget.ui \
        UI/AffineRegistrationDialog.ui \

TARGET		= AffineRegistrationTool

INCLUDEPATH     += ${GSLDIR}/include

OBJECTS_DIR     = bin/linux/$${BUILDTYPE}

MOC_DIR		= bin/linux/$${BUILDTYPE}

DESTDIR		= ../../../../bin/linux/$${BUILDTYPE}/Tools

LIBS           += -L../../../../bin/linux/$${BUILDTYPE} -L${GSLDIR}/lib -lCore -lDataTypes -lUtilities -lgsl -lgslcblas

QMAKE_POST_LINK = mkdir -p ../../../../bin/linux/$${BUILDTYPE}/Resources && \
                  cp \
                     Icons/AffineRegistrationIcon.png \
                     Icons/AffineRegistrationToolIcon.png \
                     Icons/AffineRegistrationToolIcon_disabled.png \
                     ../../../../bin/linux/$${BUILDTYPE}/Resources
